POST api/AppointmentStatuses

Creates a new appointment status or updates an existent appointment status's information.

Request Information

URI Parameters

None.

Body Parameters

AppointmentStatusModel
NameDescriptionTypeAdditional information
Name

Name of the appointment status (Required).

string

None.

IsCanceled

Indicates whether the appointment status is canceled or not.

boolean

None.

IsRescheduled

Indicates whether the appointment status is rescheduled or not.

boolean

None.

IsConfirmed

Indicates whether the appointment status is confirmed or not.

boolean

None.

IsCheckedOut

Indicates whether the appointment status is checked out or not.

boolean

None.

IsCheckIn

Indicates whether the appointment status is checked in or not.

boolean

None.

Id

Unique ID of the model in the portal (Read only).

globally unique identifier

None.

ExternalId

Unique ID of the model on integrating system (Required).

string

None.

Request Formats

application/json, text/json

Sample:
{
  "name": "sample string 1",
  "isCanceled": true,
  "isRescheduled": true,
  "isConfirmed": true,
  "isCheckedOut": true,
  "isCheckIn": true,
  "id": "f52c1b5e-f529-4ccd-beac-e1fb8c67188e",
  "externalId": "sample string 8"
}

application/xml, text/xml

Sample:
<AppointmentStatusModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.AppointmentStatuses">
  <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 8</ExternalId>
  <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">f52c1b5e-f529-4ccd-beac-e1fb8c67188e</Id>
  <IsCanceled>true</IsCanceled>
  <IsCheckIn>true</IsCheckIn>
  <IsCheckedOut>true</IsCheckedOut>
  <IsConfirmed>true</IsConfirmed>
  <IsRescheduled>true</IsRescheduled>
  <Name>sample string 1</Name>
</AppointmentStatusModel>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'AppointmentStatusModel'.

Response Information

Resource Description

AppointmentStatusModel
NameDescriptionTypeAdditional information
Name

Name of the appointment status (Required).

string

None.

IsCanceled

Indicates whether the appointment status is canceled or not.

boolean

None.

IsRescheduled

Indicates whether the appointment status is rescheduled or not.

boolean

None.

IsConfirmed

Indicates whether the appointment status is confirmed or not.

boolean

None.

IsCheckedOut

Indicates whether the appointment status is checked out or not.

boolean

None.

IsCheckIn

Indicates whether the appointment status is checked in or not.

boolean

None.

Id

Unique ID of the model in the portal (Read only).

globally unique identifier

None.

ExternalId

Unique ID of the model on integrating system (Required).

string

None.

Response Formats

application/json, text/json

Sample:
{
  "name": "sample string 1",
  "isCanceled": true,
  "isRescheduled": true,
  "isConfirmed": true,
  "isCheckedOut": true,
  "isCheckIn": true,
  "id": "33051314-5a2c-4247-8acf-104c29e54c4b",
  "externalId": "sample string 8"
}

application/xml, text/xml

Sample:
<AppointmentStatusModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.AppointmentStatuses">
  <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 8</ExternalId>
  <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">33051314-5a2c-4247-8acf-104c29e54c4b</Id>
  <IsCanceled>true</IsCanceled>
  <IsCheckIn>true</IsCheckIn>
  <IsCheckedOut>true</IsCheckedOut>
  <IsConfirmed>true</IsConfirmed>
  <IsRescheduled>true</IsRescheduled>
  <Name>sample string 1</Name>
</AppointmentStatusModel>